package com.ningdatech.pmapi.sys.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 角色菜单数据权限关联表
 * </p>
 *
 * @author WendyYang
 * @since 2023-01-28
 */
@TableName("nd_role_menu_datascope")
@ApiModel(value = "NdRoleMenuDatascope对象", description = "角色菜单数据权限关联表")
public class NdRoleMenuDatascope implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("角色ID")
    private Long roleId;

    @ApiModelProperty("菜单ID")
    private Long menuId;

    @ApiModelProperty("数据权限")
    private Integer datascope;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }
    public Long getMenuId() {
        return menuId;
    }

    public void setMenuId(Long menuId) {
        this.menuId = menuId;
    }
    public Integer getDatascope() {
        return datascope;
    }

    public void setDatascope(Integer datascope) {
        this.datascope = datascope;
    }

    @Override
    public String toString() {
        return "NdRoleMenuDatascope{" +
            "id=" + id +
            ", roleId=" + roleId +
            ", menuId=" + menuId +
            ", datascope=" + datascope +
        "}";
    }
}
